### Constructor

# Gio SocketListener new

since: 2.22

#### Declaration

    GSocketListener*
    g_socket_listener_new (
      void
    )

#### Description

Creates a new `GSocketListener` with no sockets to listen for. New listeners can be added with e.g. `g_socket_listener_add_address()` or g_socket_listener_add_inet_port().

Available since: 2.22

#### Return value

Type: `GSocketListener`

A new `GSocketListener`.

The caller of the function takes ownership of the data, and is responsible for freeing it.